﻿.login-container {
    min-height: 60vh;
    min-width: 40%;
    padding: 1em;
    border: 1px solid var(--font-color);
    border-radius: 6.9px;
    background-color: var(--secondary-color);
}

.login-container .header {
    text-align: center;
}

.login-container .main {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.login-container form,
.login-container form .form-group {
    display: flex;
    flex-direction: column;
    width: 100%;
}

.login-container form .form-group.row {
    flex-direction: row;
}

.login-container form {
    gap: 1em;
}

.login-container form .form-group {
    gap: .5em;
}

.login-container form .form-group label {
    font-size: 1.2rem;
}

.login-container form .form-group input {
    font-size: 1rem;
    background-color: var(--input-color);
    border: none;
    outline: none;
    border-radius: 3px;
    padding: .75em 1em;
    transition: background-size .3s ease;
    background-image: linear-gradient(90deg, var(--info-color), var(--info-color));
    background-repeat: no-repeat;
    background-position: 0% 100%;
    background-size: 0% 2px;
}

.login-container form .form-group input:disabled {
    background-color: transparent;
    padding: 0;
}

.login-container form .form-group input:focus {
    background-size: 100% 2px;
}

.login-container form .form-group input::placeholder {
    color: var(--secondary-font-color);
}

.login-container .footer {
    display: flex;
}

.login-container .footer .hint {
    color: var(--secondary-font-color);
    cursor: pointer;
    text-decoration: underline;
}

#password-requirements-list {
    display: flex;
    flex-direction: column;
    align-items: center;
}

#password-requirements-list li {
    position: relative;
    width: fit-content;
}

form footer ul li::after {
    position: absolute;
    top: 50%;
    right: 0;
    transform: translate(1.2rem, -50%);
    content: attr(data-content);
}

/* Media Queries */
@media (max-width: 500px) {
    .login-container {
        width: 100%;
    }
}